<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>tictactoe: Référence du fichier TictactoeTest.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">tictactoe
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier TictactoeTest.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="Tictactoe_8hpp_source.html">Tictactoe.hpp</a>&quot;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;CppUTest/CommandLineTestRunner.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de TictactoeTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="TictactoeTest_8cpp__incl.png" border="0" usemap="#TictactoeTest_8cpp" alt=""/></div>
<map name="TictactoeTest_8cpp" id="TictactoeTest_8cpp">
<area shape="rect" id="node2" href="Tictactoe_8hpp.html" title="Tictactoe.hpp" alt="" coords="23,87,124,114"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a4b9ade4ddd42b26a9677da9a9d56b1ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TictactoeTest_8cpp.html#a4b9ade4ddd42b26a9677da9a9d56b1ce">testerJeu</a> (const std::string &amp;str, const <a class="el" href="classJeu.html">Jeu</a> &amp;jeu)</td></tr>
<tr class="separator:a4b9ade4ddd42b26a9677da9a9d56b1ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7e224ec342e7acaeef33099ab9aeaa1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TictactoeTest_8cpp.html#ae7e224ec342e7acaeef33099ab9aeaa1">TEST_GROUP</a> (GroupTictactoe)</td></tr>
<tr class="separator:ae7e224ec342e7acaeef33099ab9aeaa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4899b234e6e2fe35bf2d951d138d74"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="TictactoeTest_8cpp.html#afb4899b234e6e2fe35bf2d951d138d74">TEST</a> (GroupTictactoe, test_Jeu)</td></tr>
<tr class="separator:afb4899b234e6e2fe35bf2d951d138d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="afb4899b234e6e2fe35bf2d951d138d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb4899b234e6e2fe35bf2d951d138d74">&#9670;&nbsp;</a></span>TEST()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST </td>
          <td>(</td>
          <td class="paramtype">GroupTictactoe&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_Jeu&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7e224ec342e7acaeef33099ab9aeaa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7e224ec342e7acaeef33099ab9aeaa1">&#9670;&nbsp;</a></span>TEST_GROUP()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_GROUP </td>
          <td>(</td>
          <td class="paramtype">GroupTictactoe&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b9ade4ddd42b26a9677da9a9d56b1ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b9ade4ddd42b26a9677da9a9d56b1ce">&#9670;&nbsp;</a></span>testerJeu()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void testerJeu </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classJeu.html">Jeu</a> &amp;&#160;</td>
          <td class="paramname"><em>jeu</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
